Inhalte

# Funktion QBColor

Gibt den RGB-Farbcode der Farbe zurück, die der Funktion als Farbnummer eines älteren MS-DOS-Programmiersystems übergeben wurde.

### Syntax:

QBColor (Farbe As Integer)

### Rückgabewert:

Long

### Parameter:

Farbe: Ein beliebiger Ausdruck vom Typ "Integer", der den Farbwert einer Farbe festlegt, die von einem älteren MS-DOS-Programmiersystem übergeben wurde.

ColorNumber können die folgenden Werte zugewiesen werden:

0 : Schwarz

1 : Blau

2 : Grün

3 : Cyan

4 : Rot

5 : Magenta

6 : Gelb

7 : Weiß

8 : Grau

9 : Hellblau

10 : Hellgrün

11 : Hellcyan

12 : Hellrot

13 : Hellmagenta

14 : Hellgelb

15 : Leuchtend weiß

Diese Funktion wird ausschließlich zur Konvertierung früherer MS-DOS BASIC-Anwendungen verwendet, die mit den zuvor aufgeführten Farbwerten arbeiten. Die Funktion gibt einen Long-Integer-Wert zurück, der den Farbcode der angegebenen Farbe angibt, der in der LibreOffice-Entwicklungsumgebung zu verwenden ist.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    Sub ExampleQBColor
    Dim iColor As Integer
    Dim sText As String
        iColor = 7
        sText = "RGB= " & Red(QBColor( iColor) ) & ":" & Blue(QBColor( iColor) ) & ":" & Green(QBColor( iColor) )
        MsgBox stext,0,"Farbe " & iColor
    End Sub